Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa.pathfinder
Class CurrentPath

    java.lang.Object
      net.sourceforge.pmd.dfa.pathfinder.CurrentPath

public class CurrentPath
extends java.lang.Object

Constructor Summary
`CurrentPath()`

Method Summary
`void` | `addLast(IDataFlowNode n)`
`IDataFlowNode` | `getDoBranchNodeFromFirstDoStatement()`
`IDataFlowNode` | `getLast()`
`boolean` | `isBranch()`
`boolean` | `isDoBranchNode()`
`boolean` | `isEmpty()`
`boolean` | `isEndNode()`
`boolean` | `isFirstDoStatement()`
`java.util.Iterator` | `iterator()`
`void` | `removeLast()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentPath

    public CurrentPath()

Method Detail

### iterator

    public java.util.Iterator iterator()

### getLast

    public IDataFlowNode getLast()

### removeLast

    public void removeLast()

### isEmpty

    public boolean isEmpty()

### addLast

    public void addLast(IDataFlowNode n)

### isDoBranchNode

    public boolean isDoBranchNode()

### isFirstDoStatement

    public boolean isFirstDoStatement()

### getDoBranchNodeFromFirstDoStatement

    public IDataFlowNode getDoBranchNodeFromFirstDoStatement()

### isEndNode

    public boolean isEndNode()

### isBranch

    public boolean isBranch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.